<?php
use ClassFile\Hero;
use IImplements\Sword;
use IImplements\Gun;

use IoContainer\IoContainer;

//自动加载
function autoload($class)
{
    $classFile = dirname(__FILE__) . '\\' . $class . ".php";
    if (file_exists($classFile)) {
        require_once($classFile);
    }
}

spl_autoload_register('autoload');
//用宝剑的英雄
$class = new Hero(new Gun('倚天'));
$class->myWeapon();
//我的倚天打起来砰砰砰~
//用枪的英雄
$class = new Hero(new Sword('沙漠之鹰'));
$class->myWeapon();
//我的沙漠之鹰打起来唰唰唰~
